package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZHouse;
import com.ruoyi.zdsz.domain.vo.ZHouseVo;
import com.ruoyi.zdsz.domain.bo.ZHouseBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 房间管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZHouseService {

    /**
     * 查询房间管理
     */
    ZHouseVo queryById(String id);

    /**
     * 查询房间管理列表
     */
    TableDataInfo<ZHouseVo> queryPageList(ZHouseBo bo, PageQuery pageQuery);

    /**
     * 查询房间管理列表
     */
    List<ZHouseVo> queryList(ZHouseBo bo);

    /**
     * 新增房间管理
     */
    Boolean insertByBo(ZHouseBo bo);

    /**
     * 修改房间管理
     */
    Boolean updateByBo(ZHouseBo bo);
    Boolean updateById(String id ,String newPhone);

    /**
     * 校验并批量删除房间管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    int getHouseByUnitId(Collection<String> list);

    List<ZHouseVo> getHouses(String unitId);

    /**
     * 获取房间信息
     * @param zHouseBo
     * @return
     */
    ZHouse getHousesMessage( ZHouseBo zHouseBo);
    ZHouseVo getHousesByIdCard(String idCard);
}
